## health-check 0.01.58

=== Makefile ===
VERSION=0.01.58
#
# Codename "Intrepid Inotify Interrogator"
#

JSON_OUTPUT=y

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
LDFLAGS += -lpthread
ifeq ($(JSON_OUTPUT),y)
	LDFLAGS += -ljson	
	CFLAGS += -DJSON_OUTPUT
endif
ifeq ($(FNOTIFY),y)
	CFLAGS += -DFNOTIFY
endif

#CFLAGS += -DDEBUG_MALLOC

BINDIR=/usr/bin
MANDIR=/usr/share/man/man8

OBJS = alloc.o list.o pid.o proc.o net.o syscall.o timeval.o fnotify.o event.o cpustat.o mem.o ctxt-switch.o health-check.o
ifeq ($(JSON_OUTPUT),y)
	OBJS += json.o
endif

health-check: $(OBJS) Makefile
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LDFLAGS)

health-check.8.gz: health-check.8
	gzip -c $< > $@

alloc.o: alloc.c alloc.h

cpustat.o: cpustat.c list.h json.h cpustat.h timeval.h health-check.h

ctxt-switch.o: ctxt-switch.c list.h json.h ctxt-switch.h health-check.h

event.o: event.c list.h json.h event.h health-check.h

fnotify.o: fnotify.c fnotify.h list.h json.h proc.h health-check.h

health-check.o: health-check.c list.h json.h pid.h proc.h syscall.h timeval.h \
	fnotify.h event.h cpustat.h mem.h net.h ctxt-switch.h

json.o: json.c json.h health-check.h

list.o: list.c list.h

mem.o: mem.c mem.h list.h health-check.h

net.o: net.c net.h list.h proc.h json.h health-check.h

pid.o: pid.c pid.h list.h proc.h alloc.h

proc.o: proc.c list.h pid.h proc.h net.h health-check.h

syscall.o: syscall.c syscall.h proc.h json.h net.h mem.h \
	cpustat.h fnotify.h ctxt-switch.h health-check.h

timeval.o: timeval.c timeval.h

dist:
	rm -rf health-check-$(VERSION)
	mkdir health-check-$(VERSION)
	cp -rp Makefile *.c *.h scripts health-check.8 COPYING health-check-$(VERSION)
	tar -zcf health-check-$(VERSION).tar.gz health-check-$(VERSION)
	rm -rf health-check-$(VERSION)

clean:
	rm -f health-check health-check.o health-check.8.gz
	rm -f health-check-$(VERSION).tar.gz
	rm -f $(OBJS)

install: health-check health-check.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp health-check ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp health-check.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
health-check (0.01.58-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: fix infinite loop on filename lookup

 -- Colin King <colin.king@canonical.com>  Thu, 3 Apr 2014 10:08:47 +0000

health-check (0.01.57-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix make dist, use plain old tar to omit debian contents
  * syscall: fix memory leak on filename

 -- Colin King <colin.king@canonical.com>  Thu, 20 Mar 2014 11:45:11 +0000

health-check (0.01.56-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix inotify breakage, it was not fully enabled because of macro
  * Add more file proc specific information to output
  * syscall: temporarily disable exec tracing
  * Add json logging for inotify and exec files
  * syscall: Add usec output to json output
  * syscall: add microsecond syscall accounting
  * syscall: Add inotify watch and exec filename tracking

 -- Colin King <colin.king@canonical.com>  Wed, 12 Mar 2014 20:29:31 +0000

health-check (0.01.55-1) unstable; urgency=medium

  [Colin King <colin.king@canonical.com]
  * Makefile: bump version.
  * debian/control: Disable building on x32.
  * Disable syscall handling for x32 mode.
  * Add first cut of __aarch64__ support.
  * Make fnotify optional depending on arch.

  [Adam Conrad <adconrad@ubuntu.com>]
  * debian/control: Also enable building on x32, ppc64, and ppc64el.
  * debian/control: Drop redundant 'linux-' prefixes from arch list.

 -- Colin King <colin.king@canonical.com>  Tue, 18 Feb 2014 17:05:43 +0000

health-check (0.01.54-1) unstable; urgency=medium

  * Makefile: bump version
  * Include linux/ptrace.h to fix FTBFS on ARM

 -- Colin King <colin.king@canonical.com>  Mon, 17 Feb 2014 11:00:12 +0000

health-check (0.01.53-1) unstable; urgency=medium

  * Makefile: bump version
  * Add linux-powerpc to Architecture in debian/control
  * Make event handling arch specific
  * syscall.c: add powerpc support

 -- Colin King <colin.king@canonical.com>  Fri, 14 Feb 2014 14:06:22 +0000

health-check (0.01.52-1) unstable; urgency=medium

  * Makefile: bump version
  * debian: use linux-armel linux-armhf arch in control
  * Fix debian control description

 -- Colin King <colin.king@canonical.com>  Tue, 11 Feb 2014 18:31:57 +0000

health-check (0.01.51-1) unstable; urgency=medium

  * Makefile: bump version
  * fnotify.c: remove commented out code
  * mem.h: add more comments
  * syscall.h: add some more comments
  * net.h: remove extraneous line
  * alloc.h: remove extraneous line
  * syscall.c: cast to (void) for mem_brk_account return
  * alloc.c: include alloc.h
  * net.c, net.h: include net.h, fix up net_connection_dump prototype
  * Fix Debian copyright to GPL-2+

 -- Colin King <colin.king@canonical.com>  Wed, 5 Feb 2014 15:06:23 +0000

health-check (0.01.50-1) unstable; urgency=medium

  * Initial Debian release (Closes: #737561)
  * Add COPYING file
  * Update copyright boiler plate
  * Correct debian source format
  * Update man page
  * Makefile: bump version
  * Debian: update standards version
  * Make syscall dependent on arch

 -- Colin King <colin.king@canonical.com>  Tue, 28 Jan 2014 09:15:12 +0000

health-check (0.01.49) trusty; urgency=low

  * Makefile: bump version
  * fix debug message that was on by default

 -- Colin King <colin.king@canonical.com>  Tue, 14 Jan 2014 14:04:00 +0000

health-check (0.01.48) trusty; urgency=low

  * Makefile: bump version
  * Account for exiting processes correctly.
  * mem.c: don't account for null address brks
  * Forgot to add changes that include OPT_DURATION
  * Run forever if checking an executable
  * Update man page for -d 0 option
  * health-check: run forever if -d option is zero
  * Fix man page

 -- Colin King <colin.king@canonical.com>  Tue, 14 Jan 2014 13:46:53 +0000

health-check (0.01.47) trusty; urgency=low

  * Makefile: bump version
  * debian/control: fix architectures
  * Minor fixes to stop some build warnings
  * Fix j_net_test warning
  * event.c: avoid possible scanf overruns
  * net.c: avoid possible scanf overruns
  * cpustat.c: avoid possible scanf overruns
  * mem.c: avoid possible scanf overruns
  * avoid undefined behaviour with void * ptr differences
  * proc.c: avoid possible scanf overruns
  * move scope of total_locked_duration
  * Use correct printf specifiers for size_t
  * remove unused function fnotify_is_syspower
  * Add debian watch file
  * Update debian control and add homepage info
  * Ensure we build just for x86 and ARM for the moment
  * Update debian compat and rules
  * syscall: fix build error on trusty
  * Update copyright dates

 -- Colin King <colin.king@canonical.com>  Thu, 9 Jan 2014 14:47:11 +0000

health-check (0.01.46) saucy; urgency=low

  * Makefile: bump version
  * fnotify: fix missing a load of fnotifies

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2013 15:03:46 +0000

health-check (0.01.45) saucy; urgency=low

  * Fix dates in changelog
  * Makefile: bump version again

 -- Colin King <colin.king@canonical.com>  Tue, 12 Oct 2013 14:03:01 +0000

health-check (0.01.44) saucy; urgency=low

  * Makefile: bump version
  * fnotify.c: JSON access-count-total-rate should be double
  * Add test helper health-check-test-pid.py

 -- Colin King <colin.king@canonical.com>  Tue, 13 Oct 2013 14:03:01 +0000

health-check (0.01.43) saucy; urgency=low

  * Makefile: bump version
  * syscall.c: force json output when no polls occur
  * mem.c: avoid build warning when building with JSON disabled
  * cpustat.c: correct cpustat json label
  * net.c: fixup coverity scan issue
  * cpustat.c: fix thinko in json user cpu label
  * mem.c fixup json label names
  * syscall: fixup some json name errors and null ptr derefs
  * fnotify.c: rename rate-total to total-rate
  * fnotify.c: rename access-count-rate-total to access-count-total-rate
  * ctx-switch.c: rename context-switch-rate-total to context-switch-total-rate
  * events.c: rename wakeup-rate-total -> wakeup-total-rate


=== debian/control ===
Source: health-check
Section: admin
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), libjson0-dev (>= 0.9)
Homepage: http://kernel.ubuntu.com/~cking/health-check

Package: health-check
Architecture: i386 amd64 armel armhf powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: process monitoring tool
 Health-check monitors processes and optionally their child
 processes and threads for a given amount of time.  At the end
 of the monitoring it will display the CPU time used, wakeup
 events generated and I/O operations of the given processes.
 It can be used to diagnose unhealthy bad processes.

## health-check 0.01.61

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.58
+VERSION=0.01.61
 #
 # Codename "Intrepid Inotify Interrogator"
 #
@@ -8,7 +8,7 @@
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
 LDFLAGS += -lpthread
 ifeq ($(JSON_OUTPUT),y)
-	LDFLAGS += -ljson	
+	LDFLAGS += -ljson-c
 	CFLAGS += -DJSON_OUTPUT
 endif
 ifeq ($(FNOTIFY),y)

=== debian/changelog ===
health-check (0.01.61-1) unstable; urgency=medium

  * Makefile: bump version
  * Check for invalid number of syscalls, make it long int
  * proc: use strtol rather than atoi to catch overflow/underflow

 -- Colin King <colin.king@canonical.com>  Mon, 19 May 2014 00:29:00 +0100

health-check (0.01.60-1) unstable; urgency=medium

  * Makefile: bump version
  * net: set addr_info to NULL and check
  * event: make failed write to /proc/timer_stats non-fatal

 -- Colin King <colin.king@canonical.com>  Fri, 25 Apr 2014 11:46:01 +0100

health-check (0.01.59-1) unstable; urgency=medium

  * Makefile: bump version
  * Update build-depends from libjson0-dev to libjson-c-dev (Closes: #745004)
  * Makefile: use libjson-c
  * Use json-c, so change header path
  * net: fix up dump_info allocation
  * net: add netlink, udp6, tcp6 and handle protos we don't find.

 -- Colin King <colin.king@canonical.com>  Thu, 17 Apr 2014 11:16:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libjson0-dev (>= 0.9)
+Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.11)
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check

## health-check 0.01.62

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-VERSION=0.01.61
+VERSION=0.01.62
 #
 # Codename "Intrepid Inotify Interrogator"
 #
 
 JSON_OUTPUT=y
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -g
 LDFLAGS += -lpthread
 ifeq ($(JSON_OUTPUT),y)
 	LDFLAGS += -ljson-c

=== debian/changelog ===
health-check (0.01.62-1) unstable; urgency=medium

  * debian/control: update Standards-Version to 3.9.6
  * Makefile: bump version
  * Use POSIX getnameinfo rather than obsolete gethostbyaddr
  * Fix -w -W man page options
  * Some inlining, makes critical syscall path slightly faster
  * syscall.h remove C11 style typedef on forward defined syscall_t
  * net.c: #define out net_hash_find_inode

 -- Colin King <colin.king@canonical.com>  Fri, 14 Nov 2014 14:08:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.11)
 Homepage: http://kernel.ubuntu.com/~cking/health-check

## health-check 0.01.63

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,21 @@
-VERSION=0.01.62
+#
+# Copyright (C) 2013-2015 Canonical, Ltd.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+VERSION=0.01.63
 #
 # Codename "Intrepid Inotify Interrogator"
 #

## health-check 0.02.00

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.01.63
+VERSION=0.02.00
 #
-# Codename "Intrepid Inotify Interrogator"
+# Codename "Where have all my cycles gone?"
 #
 
 JSON_OUTPUT=y

=== debian/changelog ===
health-check (0.02.00-1) unstable; urgency=medium

  * Debian: copyright: update year to 2015
  * Debian: control: add arm64 arch (Closes: #791950)
  * Add a more optimized filename hashing function

 -- Colin King <colin.king@canonical.com>  Fri, 10 Jul 2015 12:07:12 +0100

health-check (0.01.63-1) unstable; urgency=medium

  * Makefile: bump version
  * Documentation: add copyright, update date
  * Makefile: add copyright
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 14:08:00 +0100

## health-check 0.02.01

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.00
+VERSION=0.02.01
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: clear args buffer, cleans up static analysis warnings
  * Fix misc warnings found by static analysis
  * Remove redundant list scan in pid_list_get_children
  * Remove redundant initialisation of count

 -- Colin King <colin.king@canonical.com>  Tue, 8 Sep 2015 18:46:00 +0100

## health-check 0.02.02

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2015 Canonical, Ltd.
+# Copyright (C) 2013-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,14 +15,14 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.01
+VERSION=0.02.02
 #
 # Codename "Where have all my cycles gone?"
 #
 
 JSON_OUTPUT=y
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -g
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 LDFLAGS += -lpthread
 ifeq ($(JSON_OUTPUT),y)
 	LDFLAGS += -ljson-c

=== debian/changelog ===
health-check (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * fix gcc compile warning when building at -O2
  * Makefile: use -O2 optimization by default
  * Makefile: remove -g flag
  * net: remove code that has been #if'd out
  * Clean up some white space formatting in source
  * syscall: fix indentation
  * Update copyright year to 2016

 -- Colin King <colin.king@canonical.com>  Wed, 13 Jan 2016 17:36:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check
-Architecture: i386 amd64 armel armhf powerpc ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: process monitoring tool
  Health-check monitors processes and optionally their child

## health-check 0.02.03

=== debian/changelog ===
health-check (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update Standards-Version to 3.9.8
  * Use strtok instead of strtok_r

 -- Colin King <colin.king@canonical.com>  Tue, 4 Oct 2016 10:17:43 +0100

## health-check 0.02.04

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.02
+VERSION=0.02.04
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -23,6 +23,17 @@
 JSON_OUTPUT=y
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
+
 LDFLAGS += -lpthread
 ifeq ($(JSON_OUTPUT),y)
 	LDFLAGS += -ljson-c

=== debian/changelog ===
health-check (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * json: fix comment
  * syscall: fix shadowing warnings
  * Move procs_traced declaration to after the header includes
  * syscall: fix shadowing of string tmp
  * Makefile: remove status.[cho], it's not required as yet
  * fnotify: fix some shadowing on link pointer l
  * fnotify: make helper function static
  * fnotify: add some constifications
  * event: use floating point FLOAT_CMP macro for zero compare
  * event: add some more constifications
  * cpustat: use floating point FLOAT_CMP macro for zero compare
  * cpustat: add some constifications
  * health-check.h: add math.h
  * health-check: make helper function static
  * syscall: use FLOAT_CMP for float compare != 0
  * syscall: make helper functions static
  * ctxt-switch: use FLOAT_CMP to compare float against zero
  * ctxt-switch: add some constifications
  * mem: use FLOAT_CMP for float comparison to zero
  * mem: add some constifications
  * syscall: use floating point FLOAT_CMP macro for zero compare
  * syscall: more constifications
  * syscall constify pointers
  * compare floating point values with a little bit of slop
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Tue, 1 Nov 2016 19:39:11 -0600

## health-check 0.02.05

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2016 Canonical, Ltd.
+# Copyright (C) 2013-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.04
+VERSION=0.02.05
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -43,12 +43,11 @@
 	CFLAGS += -DFNOTIFY
 endif
 
-#CFLAGS += -DDEBUG_MALLOC
-
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
 
-OBJS = alloc.o list.o pid.o proc.o net.o syscall.o timeval.o fnotify.o event.o cpustat.o mem.o ctxt-switch.o health-check.o
+OBJS =	list.o pid.o proc.o net.o syscall.o timeval.o \
+	fnotify.o event.o cpustat.o mem.o ctxt-switch.o health-check.o
 ifeq ($(JSON_OUTPUT),y)
 	OBJS += json.o
 endif
@@ -58,8 +57,6 @@
 
 health-check.8.gz: health-check.8
 	gzip -c $< > $@
-
-alloc.o: alloc.c alloc.h
 
 cpustat.o: cpustat.c list.h json.h cpustat.h timeval.h health-check.h
 
@@ -80,7 +77,7 @@
 
 net.o: net.c net.h list.h proc.h json.h health-check.h
 
-pid.o: pid.c pid.h list.h proc.h alloc.h
+pid.o: pid.c pid.h list.h proc.h
 
 proc.o: proc.c list.h pid.h proc.h net.h health-check.h

=== debian/changelog ===
health-check (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: line break on OBJS line
  * voidify returns from close, fclose, closedir, etc
  * Update copyright year
  * Remove alloc shim for debugging heap.
  * syscall: fix inconsistent indenting

 -- Colin King <colin.king@canonical.com>  Fri, 6 Jan 2017 10:46:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.11)
 Homepage: http://kernel.ubuntu.com/~cking/health-check

## health-check 0.02.06

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.05
+VERSION=0.02.06
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Add variable pid size handling.
  * syscall: cast pid to unsigned long to ensure hash does not overflow
  * Remove duplicate check on fnotify_files.head

 -- Colin King <colin.king@canonical.com>  Sat, 15 Apr 2017 08:32:38 +0100

## health-check 0.02.08

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.06
+VERSION=0.02.08
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.02.08-1) unstable; urgency=medium

  * Remove libson0-dev dependency, causes FTBFS
  * Makefile: bump version

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 19:25:11 +0100

health-check (0.02.07-1) unstable; urgency=medium

  * Update version
  * Update to Standards-Version: 4.1.1
  * Make libjson dependency more flexible (libjson0-dev or
    libjson-c-dev)

 -- Colin King <colin.king@canonical.com>  Thu, 19 Oct 2017 13:58:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.11)
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.9)
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check

## health-check 0.02.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2017 Canonical, Ltd.
+# Copyright (C) 2013-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.08
+VERSION=0.02.09
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.02.09-1ubuntu1) bionic; urgency=medium

  * Remove trace events as this is no longer supported (LP: #1821181)
    - modern kernels don't support the sysfs interface so removing
      the trace event handlong the best way forward to avoid confusing
      error messages. Upstream commits:
    - 7f61fdc66efdef1 ("remove event metrics since newer kernels 
      don't support this API")
    - 608913097b6de23 ("Remove events.h and references to timer stats")

 -- Colin King <colin.king@canonical.com>  Thu, 21 Mar 2018 16:15:14 +0000

health-check (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.1.2
  * health-check: unconstify metadata to clean up build warning
  * syscall: remove extraneous pid_size declaration
  * fnotify: fix build warning, include <sys/sysmacros.h>
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Fri, 5 Jan 2018 10:35:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.9)
 Homepage: http://kernel.ubuntu.com/~cking/health-check

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/health-check/health-check-(.+).tar.gz

## health-check 0.03.00

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.09
+VERSION=0.03.00
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -47,7 +47,7 @@
 MANDIR=/usr/share/man/man8
 
 OBJS =	list.o pid.o proc.o net.o syscall.o timeval.o \
-	fnotify.o event.o cpustat.o mem.o ctxt-switch.o health-check.o
+	fnotify.o cpustat.o mem.o ctxt-switch.o health-check.o
 ifeq ($(JSON_OUTPUT),y)
 	OBJS += json.o
 endif

=== debian/changelog ===
health-check (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version to 3.0
  * debian/copyright: use secure URI
  * debian/compat: update to 11
  * debian/control: set debhelper version to >=11
  * debian/control: remove empty last line
  * remove event metrics since newer kernels don't support this API

 -- Colin King <colin.king@canonical.com>  Sat, 16 Jun 2018 19:55:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libjson-c-dev (>= 0.9)
+Build-Depends: debhelper (>= 11), libjson-c-dev (>= 0.9)
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check
@@ -15,4 +15,3 @@
  of the monitoring it will display the CPU time used, wakeup
  events generated and I/O operations of the given processes.
  It can be used to diagnose unhealthy bad processes.
-

## health-check 0.03.02

=== debian/changelog ===
health-check (0.03.02-1) unstable; urgency=medium

  * Update release in .travis.yml file
  * Add libbsd to travis.yml

 -- Colin King <colin.king@canonical.com>  Wed, 10 Jul 2019 07:44:12 +0100

health-check (0.03.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Use safer strlcpy instead of strncpy
  * Remove events.h and references to timer stats
  * Fix buffer truncation warnings from gcc-9
  * Update copyright year
  * Specify trusty in travis file
  * Replace yes with true in travis file, doh
  * Add older package name for json c
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Fri, 14 Jun 2019 14:10:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11), libjson-c-dev (>= 0.9)
+Build-Depends: debhelper (>= 11), libjson-c-dev (>= 0.9), libbsd-dev
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check

## health-check 0.03.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2018 Canonical, Ltd.
+# Copyright (C) 2013-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.00
+VERSION=0.03.03
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -34,7 +34,7 @@
 	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
 endif
 
-LDFLAGS += -lpthread
+LDFLAGS += -lpthread -lbsd
 ifeq ($(JSON_OUTPUT),y)
 	LDFLAGS += -ljson-c
 	CFLAGS += -DJSON_OUTPUT
@@ -62,12 +62,10 @@
 
 ctxt-switch.o: ctxt-switch.c list.h json.h ctxt-switch.h health-check.h
 
-event.o: event.c list.h json.h event.h health-check.h
-
 fnotify.o: fnotify.c fnotify.h list.h json.h proc.h health-check.h
 
 health-check.o: health-check.c list.h json.h pid.h proc.h syscall.h timeval.h \
-	fnotify.h event.h cpustat.h mem.h net.h ctxt-switch.h
+	fnotify.h cpustat.h mem.h net.h ctxt-switch.h
 
 json.o: json.c json.h health-check.h
 
@@ -89,7 +87,8 @@
 dist:
 	rm -rf health-check-$(VERSION)
 	mkdir health-check-$(VERSION)
-	cp -rp Makefile *.c *.h scripts health-check.8 COPYING health-check-$(VERSION)
+	cp -rp Makefile *.c *.h .travis.yml scripts health-check.8 \
+		COPYING health-check-$(VERSION)
 	tar -zcf health-check-$(VERSION).tar.gz health-check-$(VERSION)
 	rm -rf health-check-$(VERSION)

=== debian/changelog ===
health-check (0.03.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 19:04:07 +0100

## health-check 0.03.04

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.03
+VERSION=0.03.04
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.04-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: handle a null return from localtime
  * set *inode to zero to clear up a static analysis false warning
  * ignore return from proc_pids_add_proc
  * net: pass size of link string in net_get_inode_by_path

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 13:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11), libjson-c-dev (>= 0.9), libbsd-dev
+Build-Depends: debhelper (>= 12), libjson-c-dev (>= 0.9), libbsd-dev
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check

## health-check 0.03.05

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2019 Canonical, Ltd.
+# Copyright (C) 2013-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.04
+VERSION=0.03.05
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.05-1) unstable; urgency=medium

  * Makefile: bump version
  * pid: sanity check for null return from basename call
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Mon, 13 Jan 2020 15:05:11 +0000

ealth-check (0.03.04-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall: handle a null return from localtime
  * set *inode to zero to clear up a static analysis false warning
  * ignore return from proc_pids_add_proc
  * net: pass size of link string in net_get_inode_by_path

 -- Colin King <colin.king@canonical.com>  Mon, 16 Dec 2019 13:00:01 +0000

## health-check 0.03.06

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.05
+VERSION=0.03.06
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -45,6 +45,7 @@
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 OBJS =	list.o pid.o proc.o net.o syscall.o timeval.o \
 	fnotify.o cpustat.o mem.o ctxt-switch.o health-check.o
@@ -88,7 +89,7 @@
 	rm -rf health-check-$(VERSION)
 	mkdir health-check-$(VERSION)
 	cp -rp Makefile *.c *.h .travis.yml scripts health-check.8 \
-		COPYING health-check-$(VERSION)
+		bash-completion COPYING health-check-$(VERSION)
 	tar -zcf health-check-$(VERSION).tar.gz health-check-$(VERSION)
 	rm -rf health-check-$(VERSION)
 
@@ -102,3 +103,5 @@
 	cp health-check ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp health-check.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/health-check ${DESTDIR}${BASHDIR}

=== debian/changelog ===
health-check (0.03.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 17:28:55 +0000

## health-check 0.03.07

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.06
+VERSION=0.03.07
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.07-1) unstable; urgency=medium

  * Makefile: bump version
  * net.c: move declaration of send_total recv_total fix build failure

 -- Colin King <colin.king@canonical.com>  Fri, 24 Apr 2020 15:06:12 +0100

## health-check 0.03.08

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.07
+VERSION=0.03.08
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.08-1build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:44:44 +0100

health-check (0.03.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Root rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 11:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: health-check
+Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12), libjson-c-dev (>= 0.9), libbsd-dev
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13),
+               libjson-c-dev (>= 0.9),
+               libbsd-dev
 Homepage: http://kernel.ubuntu.com/~cking/health-check
 
 Package: health-check

## health-check 0.03.09

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.08
+VERSION=0.03.09
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.09-1) unstable; urgency=medium

  * Makefile: bump version
  * net: don't throw warning messages when /proc file can't be opened

 -- Colin King <colin.king@canonical.com>  Mon, 3 Aug 2020 15:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin King <colin.king@canonical.com>
+Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),

## health-check 0.03.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
-# Copyright (C) 2013-2020 Canonical, Ltd.
+# Copyright (C) 2013-2021 Canonical, Ltd.
+# Copyright (C) 2021 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.09
+VERSION=0.03.10
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -89,7 +90,7 @@
 	rm -rf health-check-$(VERSION)
 	mkdir health-check-$(VERSION)
 	cp -rp Makefile *.c *.h .travis.yml scripts health-check.8 \
-		bash-completion COPYING health-check-$(VERSION)
+		bash-completion COPYING README.md health-check-$(VERSION)
 	tar -zcf health-check-$(VERSION).tar.gz health-check-$(VERSION)
 	rm -rf health-check-$(VERSION)

=== debian/changelog ===
health-check (0.03.10-1) unstable; urgency=medium

  * Makefile: bump version
  * sources: update copyright
  * Makefile: update copyright
  * Makefile: add README.md to make dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md
  * syscall: clean up static analysis warning
  * timeval: ensure multiplication is 64 bit to avoid 32 bit overflow
  * update copyright to 2021

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Nov 2021 22:09:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Rules-Requires-Root: no
 Section: admin
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libjson-c-dev (>= 0.9),
                libbsd-dev
-Homepage: http://kernel.ubuntu.com/~cking/health-check
+Homepage: https://github.com/ColinIanKing/health-check
 
 Package: health-check
 Architecture: i386 amd64 armel armhf arm64 powerpc ppc64 ppc64el

## health-check 0.03.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2013-2021 Canonical, Ltd.
-# Copyright (C) 2021 Colin Ian King.
+# Copyright (C) 2021-2022 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.10
+VERSION=0.03.11
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.03.11-1) unstable; urgency=medium

  * Makefile: bump version
  * syscall.c: remove empty line
  * json.c, net.c: define _GNU_SOURCE
  * debian/control: update standards version to 4.6.1
  * syscall: memset regs structures and add const to arrays
  * syscall: various constifications of units pointers
  * json.c: constify 1st argument in j_obj_is_null function
  * syscall: use strlcpy instead of unsafe strncpy
  * Update copyright

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 7 Dec 2022 14:43:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libjson-c-dev (>= 0.9),

## health-check 0.03.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2013-2021 Canonical, Ltd.
-# Copyright (C) 2021-2022 Colin Ian King.
+# Copyright (C) 2021-2024 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.11
+VERSION=0.03.12
 #
 # Codename "Where have all my cycles gone?"
 #
@@ -91,7 +91,7 @@
 	mkdir health-check-$(VERSION)
 	cp -rp Makefile *.c *.h .travis.yml scripts health-check.8 \
 		bash-completion COPYING README.md health-check-$(VERSION)
-	tar -zcf health-check-$(VERSION).tar.gz health-check-$(VERSION)
+	tar -Jcf health-check-$(VERSION).tar.xz health-check-$(VERSION)
 	rm -rf health-check-$(VERSION)
 
 clean:

=== debian/changelog ===
health-check (0.03.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: use xz compression on tarball for make dist rule
  * Update copyright year
  * debian/control: update standards version to 4.6.2
  * Check for array bounds limit while parsing pid length string
  * debian/rules: add hardening flags

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 10:59:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libjson-c-dev (>= 0.9),

## health-check 0.04.00

=== Makefile ===
--- 
+++ 
@@ -16,14 +16,14 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.12
+VERSION=0.04.00
 #
 # Codename "Where have all my cycles gone?"
 #
 
 JSON_OUTPUT=y
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -g
 
 #
 # Pedantic flags
@@ -96,7 +96,7 @@
 
 clean:
 	rm -f health-check health-check.o health-check.8.gz
-	rm -f health-check-$(VERSION).tar.gz
+	rm -f health-check-$(VERSION).tar.xz
 	rm -f $(OBJS)
 
 install: health-check health-check.8.gz

=== debian/changelog ===
health-check (0.04.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: remove .xz tarball on make clean rule
  * syscall: add more locking around fc->filename on dup call
  * syscall: add missing system calls
  * syscall: fix out-of-bounds access into syscall array
  * stress-syscall: add missing lock around fc->filename access

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 19 Jan 2024 15:57:44 +0000

## health-check 0.04.01

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2013-2021 Canonical, Ltd.
-# Copyright (C) 2021-2024 Colin Ian King.
+# Copyright (C) 2021-2025 Colin Ian King.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.04.00
+VERSION=0.04.01
 #
 # Codename "Where have all my cycles gone?"
 #

=== debian/changelog ===
health-check (0.04.01-1) unstable; urgency=medium

  * debian/control: update to standards version 4.7.0
  * syscall: fix incorrect order of params to calloc calls
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 3 Jan 2025 20:43:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libjson-c-dev (>= 0.9),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/health-check/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
